library identifier: "pipeline-library@v1.5",
retriever: modernSCM(
  [
    $class: "GitSCMSource",
    remote: "https://github.com/redhat-cop/pipeline-library.git"
  ]
)

appName = "deployer-ultimate-app"

pipeline {
    agent none
    stages {
        stage("Checkout") {
            agent { label "maven" }
            steps {
                checkout scm
            }
        }
        stage("apply build config") {
            agent { label "maven" }
            steps {
                sh"""
                oc apply -f app-bc.yaml
                """
            }
        }
        stage("Docker Build") {
            agent { label "maven" }
            steps {
                binaryBuild(buildConfigName: appName, buildFromPath: ".", projectName: "luc-exposito-stage")
            }
        }
        stage("deploy helmchart") {
            agent { label "jenkins-agent-helm" }
            steps {
                sh"""
                helm install -f deployer-ultimate-app/values.yaml myapp ./deployer-ultimate-app
                """
            }
        }
    }
}